Bug 13817 - Post Install Fails when installing on RAID controller
Summary: Post Install Fails when installing on RAID controller
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.3
Hardware: alpha
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-12 19:20 UTC by Richard D. Payne
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-05 22:20:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Richard D. Payne 2000-07-12 19:20:34 UTC
The post install sections fails after all the packages are installed. Below
is the
anaconda traceback, this is using the updated ramdisk.img from
ftp://beta.redhat.com/pub/beta3/linux/updates/alpha

This was installing on a Mylex1100 RAID controller (DAC960) so the
partition names
are c0d0p1 instead of hda1 (sda1 etc....). The install proceded normally
for a standard
IDE disk.

Traceback (innermost last):
  File "/usr/bin/anaconda", line 423, in ?
    intf.run(todo, test = test)
  File "/usr/lib/anaconda/text.py", line 1002, in run
    rc = apply (step[1](), step[2])
  File "/usr/lib/anaconda/text.py", line 487, in __call__
    if todo.doInstall ():
  File "/usr/lib/anaconda/todo.py", line 1591, in doInstall
    self.milo.write ()
  File "/tmp/updates/milo.py", line 165, in write
    self.writeAboot ()
  File "/tmp/updates/milo.py", line 75, in writeAboot
    partition = partitionNum (bootDevice)
  File "/tmp/updates/milo.py", line 27, in partitionNum
    return string.atoi (path[i:])
ValueError: invalid literal for atoi(): 0d0p1

Local variables in innermost frame:
path: rd/c0d0p1
i: 4

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
NfsInstallMethod
p4
(dp5
S'tree'
p6
S'/mnt/source/.'
sbsS'timezone'
p7
(S'America/New_York'
I0
I0
tsS'initlevel'
p8
I3
sS'progressWindow'
p9
(itext
ProgressWindow
(dp10
S'scale'
p11
(isnack
Scale
(dp12
S'w'

Comment 1 Michael Fulbright 2000-07-17 16:34:10 UTC
Passed to test lab to reproduce.

Comment 2 Brock Organ 2000-10-05 21:46:35 UTC
verified this issue internally and are working to fix it ... thanks for the
report!

Comment 3 Matt Wilson 2000-10-05 22:20:52 UTC
Fixed in RC.


Comment 4 Brock Organ 2000-10-07 23:05:23 UTC
verified fix in internal testing ...


Note You need to log in before you can comment on or make changes to this bug.